# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Interface AlbumData

All Superinterfaces:
  BoxData, Extensible, GphotoData, MediaData, PointData

All Known Implementing Classes:
  AlbumDataImpl, AlbumEntry, AlbumFeed

    public interface AlbumData

extends GphotoData, PointData, BoxData, MediaData

Data interface for album feeds and entries. This allows a common interface between entries and feed that are about album kinds, making working with these data objects easier. An album may contain media in the form of the cover image for the album, as well as containing geographic information in the form of coordinates.

Field Summary
`static Category` `ALBUM_CATEGORY` A category object for albums.
`static java.lang.String` `ALBUM_KIND` The fully qualified king term for albums.
`static java.lang.String` `KIND` The unqualified kind for an album.

Method Summary
`java.lang.String` `getAccess()` The access level of the album, either private, protected, or public.
`java.lang.Long` `getBytesUsed()` The number of bytes that are used by photos in this album.
`java.lang.Integer` `getCommentCount()` The number of comments on the album.
`java.lang.Boolean` `getCommentsEnabled()` Whether or not commenting is allowed on this album.
`java.util.Date` `getDate()` The date the album was taken.
`java.lang.String` `getLocation()` The location of the album is a string representing where the photos in the album where taken.
`java.lang.String` `getName()` The name of the album is its canonicalized title.
`java.lang.String` `getNickname()` The nickname of the user who owns the album.
`java.lang.Integer` `getPhotosLeft()` The number of spaces for photos that are available in the album.
`java.lang.Integer` `getPhotosUsed()` The number of photos that are contained in this album.
`java.lang.String` `getUsername()` The username of the owner of the album.
`void` `setAccess(java.lang.String access)` Set the access for the album this data object represents.
`void` `setBytesUsed(java.lang.Long bytesUsed)` Set the number of bytes used in the album this data object represents.
`void` `setCommentCount(java.lang.Integer commentCount)` Set the number of comments on the album.
`void` `setCommentsEnabled(java.lang.Boolean commentsEnabled)` Set the whether comments are enabled in the album.
`void` `setDate(java.util.Date date)` Set the date of the album.
`void` `setLocation(java.lang.String location)` Set the location string for where the photos in the album were taken.
`void` `setName(java.lang.String name)` Set the canonical name of the album.
`void` `setNickname(java.lang.String nickname)` Set the nickname for the owner of the album this data object represents.
`void` `setPhotosLeft(java.lang.Integer photosLeft)` Set the number of photos remaining that can be uploaded to this album.
`void` `setPhotosUsed(java.lang.Integer photosUsed)` Set the number of photos used on the album this data object represents.
`void` `setUsername(java.lang.String username)` Set the username for the owner of the album this data object represents.

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.geo.PointData
`clearPoint, getGeoLocation, setGeoLocation, setGeoLocation`

Methods inherited from interface com.google.gdata.data.geo.BoxData
`clearGeoBoundingBox, getGeoBoundingBox, setGeoBoundingBox, setGeoBoundingBox`

Methods inherited from interface com.google.gdata.data.photos.MediaData
`getMediaCategories, getMediaContents, getMediaCredits, getMediaGroup, getMediaKeywords, getMediaThumbnails, setKeywords`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, declareExtensions, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Field Detail

### KIND

    static final java.lang.String KIND

  The unqualified kind for an album.

  See Also:
    Constant Field Values

### ALBUM_KIND

    static final java.lang.String ALBUM_KIND

  The fully qualified king term for albums.

  See Also:
    Constant Field Values

### ALBUM_CATEGORY

    static final Category ALBUM_CATEGORY

  A category object for albums. All album objects will have this set.

Method Detail

### getName

    java.lang.String getName()

  The name of the album is its canonicalized title. This is the name that can be used in urls to access the album by name rather than by id.

  Returns:
    the (canonical) name of the album.

### setName

    void setName(java.lang.String name)

  Set the canonical name of the album. This is used on the server. If you wish to change the title of the album you should instead use `AtomData.setTitle(com.google.gdata.data.TextConstruct)`.

  Parameters:
    `name` - the canonical name of the album.

### getLocation

    java.lang.String getLocation()

  The location of the album is a string representing where the photos in the album where taken.

  Returns:
    the location of the album.

### setLocation

    void setLocation(java.lang.String location)

  Set the location string for where the photos in the album were taken. This string may be geocoded by the server to provide coordinates based on the location.

  Parameters:
    `location` - the location of the album.

### getDate

    java.util.Date getDate()
                           throws ServiceException

  The date the album was taken. Date ranges are not currently allowed. This is typically set to the date the earliest photo in the album was taken.

  Returns:
    the date on the album, set by the user.
  Throws:
    `ServiceException`

### setDate

    void setDate(java.util.Date date)

  Set the date of the album. Dates that are too early will be truncated by the server, where too early currently means anything before 1970.

  Parameters:
    `date` - the date the album represents.

### getAccess

    java.lang.String getAccess()

  The access level of the album, either private, protected, or public. This may be null when the access level of the album is not known.

  Returns:
    the access of the album.

### setAccess

    void setAccess(java.lang.String access)

  Set the access for the album this data object represents. Valid values are "private" or "public". Anything other than "public" will be set as "private", which is the default.

  Parameters:
    `access` - the access level of the album.

### getPhotosUsed

    java.lang.Integer getPhotosUsed()
                                    throws ServiceException

  The number of photos that are contained in this album. This should be treated as a read only field, it is calculated on the server.

  Returns:
    the number of photos used in the album.
  Throws:
    `ServiceException`

### setPhotosUsed

    void setPhotosUsed(java.lang.Integer photosUsed)

  Set the number of photos used on the album this data object represents. This is used by the server, changing this value on the client will have no effect.

  Parameters:
    `photosUsed` - the number of photos used.

### getPhotosLeft

    java.lang.Integer getPhotosLeft()
                                    throws ServiceException

  The number of spaces for photos that are available in the album. This should be treated as a read only field as it is calculated on the server. Once 0 photos are left no more photos can be uploaded to this album until photos have been deleted.

  Returns:
    the number of photos remaining in the album.
  Throws:
    `ServiceException`

### setPhotosLeft

    void setPhotosLeft(java.lang.Integer photosLeft)

  Set the number of photos remaining that can be uploaded to this album. This is used by the server, changing this value on the client will have no effect.

  Parameters:
    `photosLeft` - the number of photos left.

### getBytesUsed

    java.lang.Long getBytesUsed()
                                throws ServiceException

  The number of bytes that are used by photos in this album. Useful to see how much space each album is taking up of the user's quota. This method is calculated by the server so it should be considered read-only by the client.

  Returns:
    the number of bytes used in the album.
  Throws:
    `ServiceException`

### setBytesUsed

    void setBytesUsed(java.lang.Long bytesUsed)

  Set the number of bytes used in the album this data object represents. This method is used by the server, setting this on the client will have no effect.

  Parameters:
    `bytesUsed` - the number of bytes used.

### getUsername

    java.lang.String getUsername()

  The username of the owner of the album. This username can be used to query for the gallery of the owner of the album, for example.

  Returns:
    the username of the owner of the album.

### setUsername

    void setUsername(java.lang.String username)

  Set the username for the owner of the album this data object represents. This is used by the server, setting it on the client will have no effect. We currently do not support moving albums between users.

  Parameters:
    `username` - the username of the owner.

### getNickname

    java.lang.String getNickname()

  The nickname of the user who owns the album. This is provided to make it easier to display ownership information about albums. This is a read only field calculated by the server based on the owner of the album.

  Returns:
    the nickname of the owner of the album.

### setNickname

    void setNickname(java.lang.String nickname)

  Set the nickname for the owner of the album this data object represents. This is used by the server and has no effect on the client.

  Parameters:
    `nickname` - the nickname of the owner.

### getCommentsEnabled

    java.lang.Boolean getCommentsEnabled()
                                         throws ServiceException

  Whether or not commenting is allowed on this album. If set to true then comments may be added to the album, if set to false then no comments can be made on photos in this album.

  Returns:
    true if comments are enabled in this album the feed represents.
  Throws:
    `ServiceException`

### setCommentsEnabled

    void setCommentsEnabled(java.lang.Boolean commentsEnabled)

  Set the whether comments are enabled in the album. This will change the setting on the server if set by the owner of the album and updated.

  Parameters:
    `commentsEnabled` - true if comments are enabled in the album.

### getCommentCount

    java.lang.Integer getCommentCount()
                                      throws ServiceException

  The number of comments on the album. This is calculated based on the comments stored on the server.

  Returns:
    the comment count on the album.
  Throws:
    `ServiceException`

### setCommentCount

    void setCommentCount(java.lang.Integer commentCount)

  Set the number of comments on the album. Used by the server, this has no effect on the client.

  Parameters:
    `commentCount` - the number of comments on the album.